Package org.w3c.tidy

# Class AttrCheckImpl

java.lang.Object
org.w3c.tidy.AttrCheckImpl

public final class AttrCheckImpl extends Object
Check attribute values implementations.

Version:
  $Revision: 1099 $ ($Author: aditsu $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AttrCheckImpl.CheckAlign`
AttrCheck implementation for checking the "align" attribute.
`static class`
`AttrCheckImpl.CheckBool`
AttrCheck implementation for checking boolean attributes.
`static class`
`AttrCheckImpl.CheckClear`
AttrCheck implementation for checking the "clear" attribute.
`static class`
`AttrCheckImpl.CheckColor`
AttrCheck implementation for checking colors.
`static class`
`AttrCheckImpl.CheckFsubmit`
AttrCheck implementation for checking the "submit" attribute.
`static class`
`AttrCheckImpl.CheckId`
AttrCheck implementation for checking ids.
`static class`
`AttrCheckImpl.CheckLang`
AttrCheck implementation for checking lang and xml:lang.
`static class`
`AttrCheckImpl.CheckLength`
AttrCheck implementation for checking the "length" attribute.
`static class`
`AttrCheckImpl.CheckName`
AttrCheck implementation for checking the "name" attribute.
`static class`
`AttrCheckImpl.CheckNumber`
AttrCheck implementation for checking numbers.
`static class`
`AttrCheckImpl.CheckScope`
AttrCheck implementation for checking Scope.
`static class`
`AttrCheckImpl.CheckScript`
AttrCheck implementation for checking scripts.
`static class`
`AttrCheckImpl.CheckScroll`
AttrCheck implementation for checking scroll.
`static class`
`AttrCheckImpl.CheckShape`
AttrCheck implementation for checking the "shape" attribute.
`static class`
`AttrCheckImpl.CheckTarget`
AttrCheck implementation for checking the "target" attribute.
`static class`
`AttrCheckImpl.CheckTextDir`
AttrCheck implementation for checking dir.
`static class`
`AttrCheckImpl.CheckUrl`
AttrCheck implementation for checking URLs.
`static class`
`AttrCheckImpl.CheckValign`
AttrCheck implementation for checking the "valign" attribute.
`static class`
`AttrCheckImpl.CheckVType`
AttrCheck implementation for checking valuetype.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AttrCheck`
`ALIGN`
checker for "align" attribute.
`static final AttrCheck`
`BOOL`
checker for boolean attributes.
`static final AttrCheck`
`CHARACTER`
checker for attributes that can contain a single character.
`static final AttrCheck`
`CHARSET`
checker for "charset" attribute.
`static final AttrCheck`
`CLEAR`
checker for "clear" attribute.
`static final AttrCheck`
`COLOR`
checker for "color" attribute.
`static final AttrCheck`
`COLS`
checker for "cols" attribute.
`static final AttrCheck`
`COORDS`
checker for "coords" attribute.
`static final AttrCheck`
`DATE`
checker for attributes containing dates.
`static final AttrCheck`
`FBORDER`
checker for "frameborder" attribute.
`static final AttrCheck`
`FSUBMIT`
checker for "submit" attribute.
`static final AttrCheck`
`ID`
checker for ids.
`static final AttrCheck`
`IDREF`
checker for attributes referencng an id.
`static final AttrCheck`
`LANG`
checker for "lang" and "xml:lang" attributes.
`static final AttrCheck`
`LENGTH`
checker for "lenght" attribute.
`static final AttrCheck`
`LINKTYPES`
checker for "rel" and "rev" attributes.
`static final AttrCheck`
`MEDIA`
checker for "media" attribute.
`static final AttrCheck`
`NAME`
checker for "name" attribute.
`static final AttrCheck`
`NUMBER`
checker for "number" attribute.
`static final AttrCheck`
`SCOPE`
checker for "scope" attribute.
`static final AttrCheck`
`SCRIPT`
checker for scripts.
`static final AttrCheck`
`SCROLL`
checker for "scroll" attribute.
`static final AttrCheck`
`SHAPE`
checker for "shape" attribute.
`static final AttrCheck`
`TARGET`
checker for "target" attribute.
`static final AttrCheck`
`TEXT`
checker for text attributes.
`static final AttrCheck`
`TEXTDIR`
checker for "dir" attribute.
`static final AttrCheck`
`TFRAME`
checker for table "frame" attribute.
`static final AttrCheck`
`TRULES`
checker for table "rules" attribute.
`static final AttrCheck`
`TYPE`
checker for "type" attribute.
`static final AttrCheck`
`URL`
checker for URLs.
`static final AttrCheck`
`URLS`
checker for attributes which contain a list of urls.
`static final AttrCheck`
`VALIGN`
checker for "valign" attribute.
`static final AttrCheck`
`VTYPE`
checker for "vtype" attribute.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### URL

public static final AttrCheck URL
checker for URLs.

### SCRIPT

public static final AttrCheck SCRIPT
checker for scripts.

### NAME

public static final AttrCheck NAME
checker for "name" attribute.

### ID

public static final AttrCheck ID
checker for ids.

### ALIGN

public static final AttrCheck ALIGN
checker for "align" attribute.

### VALIGN

public static final AttrCheck VALIGN
checker for "valign" attribute.

### BOOL

public static final AttrCheck BOOL
checker for boolean attributes.

### LENGTH

public static final AttrCheck LENGTH
checker for "lenght" attribute.

### TARGET

public static final AttrCheck TARGET
checker for "target" attribute.

### FSUBMIT

public static final AttrCheck FSUBMIT
checker for "submit" attribute.

### CLEAR

public static final AttrCheck CLEAR
checker for "clear" attribute.

### SHAPE

public static final AttrCheck SHAPE
checker for "shape" attribute.

### NUMBER

public static final AttrCheck NUMBER
checker for "number" attribute.

### SCOPE

public static final AttrCheck SCOPE
checker for "scope" attribute.

### COLOR

public static final AttrCheck COLOR
checker for "color" attribute.

### VTYPE

public static final AttrCheck VTYPE
checker for "vtype" attribute.

### SCROLL

public static final AttrCheck SCROLL
checker for "scroll" attribute.

### TEXTDIR

public static final AttrCheck TEXTDIR
checker for "dir" attribute.

### LANG

public static final AttrCheck LANG
checker for "lang" and "xml:lang" attributes.

### TEXT

public static final AttrCheck TEXT
checker for text attributes. Actually null (no validation).

### CHARSET

public static final AttrCheck CHARSET
checker for "charset" attribute. Actually null (no validation).

### TYPE

public static final AttrCheck TYPE
checker for "type" attribute. Actually null (no validation).

### CHARACTER

public static final AttrCheck CHARACTER
checker for attributes that can contain a single character. Actually null (no validation).

### URLS

public static final AttrCheck URLS
checker for attributes which contain a list of urls. Actually null (no validation).

### COLS

public static final AttrCheck COLS
checker for "cols" attribute. Actually null (no validation).

### COORDS

public static final AttrCheck COORDS
checker for "coords" attribute. Actually null (no validation).

### DATE

public static final AttrCheck DATE
checker for attributes containing dates. Actually null (no validation).

### IDREF

public static final AttrCheck IDREF
checker for attributes referencng an id. Actually null (no validation).

### TFRAME

public static final AttrCheck TFRAME
checker for table "frame" attribute. Actually null (no validation).

### FBORDER

public static final AttrCheck FBORDER
checker for "frameborder" attribute. Actually null (no validation).

### MEDIA

public static final AttrCheck MEDIA
checker for "media" attribute. Actually null (no validation).

### LINKTYPES

public static final AttrCheck LINKTYPES
checker for "rel" and "rev" attributes. Actually null (no validation).

### TRULES

public static final AttrCheck TRULES
checker for table "rules" attribute. Actually null (no validation).